package com.xkrs.service;

import com.xkrs.model.entity.FileDocumentEntity;
import com.xkrs.model.qo.FileDocumentQo;

import java.util.Optional;

/**
 * 文档管理接口
 * @author tajochen
 */
public interface FileDocumentService {

    /**
     * 文档列表
     * @return
     */
    Iterable<FileDocumentEntity> getAllFile();

    /**
     * 获取指定id记录
     * @param id
     * @return
     */
    Optional getById(Integer id);

    /**
     * 新增文档记录
     * @param fileDocumentQo
     * @param userName
     */
    void add(FileDocumentQo fileDocumentQo, String userName);

    /**
     * 删除文档记录
     * @param id
     */
    void delete(Integer id);

    /**
     * 修改文档记录
     * @param fileDocumentEntity
     */
    void update(FileDocumentEntity fileDocumentEntity);
}
